SOURCES: doldaconnect.init - now working
blues
blues at pld-linux.org
Thu Sep 7 23:52:49 CEST 2006
Author: blues Date: Thu Sep 7 21:52:49 2006 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- now working
---- Files affected:
SOURCES:
doldaconnect.init (1.1 -> 1.2)
---- Diffs:
================================================================
Index: SOURCES/doldaconnect.init
diff -u SOURCES/doldaconnect.init:1.1 SOURCES/doldaconnect.init:1.2
--- SOURCES/doldaconnect.init:1.1 Thu Sep 7 23:00:35 2006
+++ SOURCES/doldaconnect.init Thu Sep 7 23:52:44 2006
@@ -18,13 +18,9 @@
fi
# Check that networking is up.
-if is_yes "${NETWORKING}"; then
- if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
- msg_network_down doldacon
- exit 1
- fi
-else
- exit 0
+if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+ msg_network_down doldacon
+ exit 1
fi
# See how we were called.
@@ -33,7 +29,7 @@
# Check if service is already running?
if [ ! -f /var/lock/subsys/doldacond ]; then
msg_starting doldacond
- daemon doldacond -p /var/run/doldacond.pid ${ADD_OPT}
+ daemon doldacond -C /etc/doldaconnect/doldacond.conf -p /var/run/doldacond.pid ${ADD_OPT}
RETVAL=$?
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/doldacond
else
@@ -43,7 +39,7 @@
stop)
if [ -f /var/lock/subsys/doldacond ]; then
msg_stopping doldacond
- killproc doldacond --pidfile /var/run/doldacond.pid
+ killproc --pidfile /var/run/doldacond.pid doldacond
rm -f /var/lock/subsys/doldacond
else
msg_not_running doldacond
@@ -56,7 +52,7 @@
reload)
if [ -f /var/lock/subsys/doldacond ]; then
msg_reloading doldacond
- killproc doldacond -HUP
+ killproc --pidfile /var/run/doldacond.pid doldacond -HUP
RETVAL=$?
else
msg_not_running doldacond >&2
================================================================
---- CVS-web:
http://cvs.pld-linux.org/SOURCES/doldaconnect.init?r1=1.1&r2=1.2&f=u
More information about the pld-cvs-commit
mailing list